org.apache.ignite.internal.processors.cache.persistence.wal.aware

## Class SegmentLockStorage

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.aware.SegmentObservable
  - - org.apache.ignite.internal.processors.cache.persistence.wal.aware.SegmentLockStorage

    public class SegmentLockStorage
    extends SegmentObservable

Lock on segment protects from archiving segment.

### Constructor Summary

Constructors
Constructor and Description
`SegmentLockStorage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `locked(long absIdx)` Check if WAL segment locked (protected from move to archive)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SegmentLockStorage

    public SegmentLockStorage()

### Method Detail

#### locked

    public boolean locked(long absIdx)

Check if WAL segment locked (protected from move to archive)

Parameters:
  `absIdx` - Index for check reservation.
Returns:
  `True` if index is locked.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020